using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HumanLikeBattleRobots.Data
{
    static class SoundResources
    {
        public static UInt32 Clank;
        public static UInt32[] Machinegun;
        public static UInt32[] Explosion;
        public static UInt32[] Cannon;
        public static UInt32 Laugh;
        public static UInt32 Music;

        public static void Initialize()
        {
            Clank = Bass.Bass.BASS_SampleLoad(false, "data\\sound\\clank.wav", 0, 0, 1, 0);

            Machinegun = new UInt32[3];
            Machinegun[0] = Bass.Bass.BASS_SampleLoad(false, "Data\\Sound\\M161.wav", 0, 0, 32, 0);
            Machinegun[1] = Bass.Bass.BASS_SampleLoad(false, "Data\\Sound\\M162.wav", 0, 0, 32, 0);
            Machinegun[2] = Bass.Bass.BASS_SampleLoad(false, "Data\\Sound\\M163.wav", 0, 0, 32, 0);

            Explosion = new UInt32[2];
            Explosion[0] = Bass.Bass.BASS_SampleLoad(false, "Data\\Sound\\Explosion1.wav", 0, 0, 32, 0);
            Explosion[1] = Bass.Bass.BASS_SampleLoad(false, "Data\\Sound\\Explosion2.wav", 0, 0, 32, 0);

            Cannon = new UInt32[2];
            Cannon[0] = Bass.Bass.BASS_SampleLoad(false, "Data\\Sound\\Cannon1.wav", 0, 0, 32, 0);
            Cannon[1] = Bass.Bass.BASS_SampleLoad(false, "Data\\Sound\\Cannon2.wav", 0, 0, 32, 0);

            Laugh = Bass.Bass.BASS_SampleLoad(false, "Data\\Sound\\Evillaugh.ogg", 0, 0, 1, 0);

            //Music = Bass.Bass.BASS_StreamCreateFile(false, "Data\\Sound\\Robot.ogg", 0, 0, 1, 0);
            Music = Bass.Bass.BASS_StreamCreateFile(false, "Data\\Sound\\Robot.ogg", 0, 0, 0);
        }
    }
}
